<?php

namespace Drupal\entity_workflow_workspace\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\workflows\Plugin\WorkflowTypeStateFormBase;
use Drupal\workflows\StateInterface;

/**
 * The workspace state form.
 */
class WorkspaceStateForm extends WorkflowTypeStateFormBase {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state, StateInterface $state = NULL): array {
    /** @var \Drupal\entity_workflow_workspace\WorkspaceState $state */
    $state = $form_state->get('state');

    $element = [];
    $element['locked'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Locked'),
      '#description' => $this->t('Whether the contents of the workspace can be edited when this state is reached.'),
      '#default_value' => isset($state) ? $state->isLocked() : FALSE,
    ];
    $element['status'] = [
      '#type' => 'radios',
      '#title' => $this->t('Status'),
      '#description' => $this->t('The status of the workspace when this state is reached.'),
      '#options' => [
        WSE_STATUS_OPEN => $this->t('Open'),
        WSE_STATUS_CLOSED => $this->t('Closed'),
      ],
      '#default_value' => isset($state) ? $state->getStatus() : WSE_STATUS_OPEN,
      '#required' => TRUE,
    ];

    return $element;
  }

}
