<?php

namespace Drupal\entity_workflow_workspace\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Validation constraint for an entity being edited in a closed workspace.
 *
 * @Constraint(
 *   id = "LockedWorkspace",
 *   label = @Translation("Closed Workspace", context = "Validation"),
 *   type = {"entity"}
 * )
 */
class LockedWorkspaceConstraint extends Constraint {

  /**
   * The default violation message.
   *
   * @var string
   */
  public $message = 'The %label workspace is in a locked state, its content can not be edited.';

}
