<?php

namespace Drupal\entity_workflow_workspace\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Subscriber for entity_workflow_workspace routes.
 *
 * @internal
 *   Tagged services are internal.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    // Disallow access the generic 'Publish' and 'Revert' routes, these actions
    // are done with workflow transitions.
    if ($route = $collection->get('entity.workspace.publish_form')) {
      $route->addRequirements(['_access' => 'FALSE']);
    }
    if ($route = $collection->get('entity.workspace.revert_form')) {
      $route->addRequirements(['_access' => 'FALSE']);
    }
  }

}
