<?php

namespace Drupal\entity_workflow\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

/**
 * Validates the State constraint.
 *
 * @see \Drupal\entity_workflow\Plugin\Field\FieldType\EntityWorkflowStateItem::isValid()
 */
class EntityWorkflowStateConstraintValidator extends ConstraintValidator {

  /**
   * {@inheritdoc}
   */
  public function validate($value, Constraint $constraint) {
    if (!$value->getEntity()->isNew() && !$value->isValid()) {
      $this->context->addViolation($constraint->message, ['@state' => $value->value]);
    }
  }

}
